Removes a couple scripts that are not used.

utils/travis/install_deps.sh - no longer executes anything outside of the osx if block.
utils/travis/exit_wrapper.sh - I honestly don't know why this exists.
utils/travis/test_wrapper.sh - No longer used as of 7ca5a0df64.

(cherry-picked from commit 344b5c56b9)
This commit is contained in:
pentarctagon 2018-03-23 08:54:11 -05:00 committed by Pentarctagon
parent 55ec77b7c4
commit 14089528e7
4 changed files with 1 additions and 53 deletions

View file

@ -1,2 +0,0 @@
#!/bin/bash
exit $1

View file

@ -1,34 +0,0 @@
#!/bin/bash
set -ev
if [[ $TRAVIS_OS_NAME == 'osx' ]]; then
brew update
brew install scons cairo pango moreutils sdl2_image sdl2_ttf sdl2_mixer openssl
else
if [ "$CXXSTD" == "1y" ]; then
sudo add-apt-repository ppa:ubuntu-toolchain-r/test -y;
fi
sudo apt-get update -qq
sudo apt-get install -qq libboost-filesystem-dev libboost-iostreams-dev libboost-random-dev libboost-program-options-dev libboost-regex-dev libboost-system-dev libboost-test-dev libboost-locale-dev libboost-thread-dev
sudo apt-get install -qq libcairo2-dev libfribidi-dev libpango1.0-dev
sudo apt-get install -qq libsdl2-image-dev libsdl2-mixer-dev libsdl2-ttf-dev libvorbis-dev
sudo apt-get install gdb moreutils xvfb libssl-dev
if [ "$USE_CMAKE" = true ]; then
sudo apt-get install -qq cmake;
else
sudo apt-get install -qq scons;
fi
if [ "$CXXSTD" == "1y" ]; then
sudo apt-get install -qq g++-5;
export CXX=g++-5;
export CC=gcc-5;
fi
fi

View file

@ -25,7 +25,7 @@ if [ "$TRAVIS_OS_NAME" = "osx" ]; then
brew install ccache
travis_wait ./projectfiles/Xcode/Fix_Xcode_Dependencies
else
travis_wait ./utils/travis/install_deps.sh
brew install scons cairo pango moreutils sdl2_image sdl2_ttf sdl2_mixer openssl
export CXXFLAGS="-I/usr/local/opt/openssl/include $CFLAGS"
export LDFLAGS="-L/usr/local/opt/openssl/lib $LDFLAGS"
fi

View file

@ -1,16 +0,0 @@
#!/bin/bash
COUNTER=10
./boost_unit_tests
ERRORCODE=$?
while [ $COUNTER -gt 0 -a $ERRORCODE -eq 200 ]; do
echo "boost_unit_tests gave error code 200 (segfault).. trying again."
COUNTER=$((COUNTER-1))
./boost_unit_tests
ERRORCODE=$?
done
if [ $ERRORCODE -eq 200 ]; then
echo "boost_unit_tests gave error code 200 ten times. suppressing this error...\n"
ERRORCODE=0
fi
export TEST_ERROR_CODE="$ERRORCODE"
exit $ERRORCODE